# CourseraRb

[![Build Status](https://travis-ci.org/droptheplot/coursera_rb.svg)](https://travis-ci.org/droptheplot/coursera_rb)
[![Code Climate](https://codeclimate.com/github/droptheplot/coursera_rb/badges/gpa.svg)](https://codeclimate.com/github/droptheplot/coursera_rb)

Coursera API wrapper.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'coursera_rb'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install coursera_rb

## Usage

```ruby
require 'coursera_rb'

# Get all courses
CourseraRb.courses

# Get course by id
CourseraRb.courses(:id => 2)

# Get courses by multiple ids
CourseraRb.courses(:id => [1, 2])
```

## Contributing

1. Fork it ( https://github.com/droptheplot/coursera_rb/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
