# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'coursera_rb/version'

Gem::Specification.new do |spec|
  spec.name          = "coursera_rb"
  spec.version       = CourseraRb::VERSION
  spec.authors       = ["Sergey Novikov"]
  spec.email         = ["novikov359@gmail.com"]
  spec.summary       = "Coursera API wrapper"
  spec.homepage      = "https://github.com/droptheplot/coursera_rb"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "webmock", "~> 1.21"
  spec.add_development_dependency "json", "~> 1.8.2"
  spec.add_development_dependency "httparty", "~> 0.13.3"
end
