require 'spec_helper'
require 'coursera_rb'

describe 'Coursera api' do
  describe 'Courses' do
    it "should return list of courses" do
      expect(CourseraRb.courses['elements']).to be_kind_of(Array)
    end

    it "should return course by single id" do
      expect(CourseraRb.courses(:id => 2)['elements']).to be_kind_of(Array)
    end

    it "should return course by multiple ids" do
      expect(CourseraRb.courses(:id => [1, 2])['elements']).to be_kind_of(Array)
    end
  end
end